Subject: RE: Driver help
From: "Kiran Bacche" <[email-masked]>
To: "Marcel Telka" <[email-masked]>
Cc: <[email-masked]>
Date: Mon, 18 Aug 2003 11:13:27 +0530

The ioperm package was very helpful. Thanks for that.
U was now able to compile a sample driver into a .sys file.
I used the SCOpenManager and CreateProcess to get it loaded.

So in effeect, when a write an application program 
││hPort = CreateFile(
│                       "\\DosDevices\\mydevice",
│                       0,
│                       0, 
│                       NULL, 
│                       0, 
│                       0, 
│                       NULL);
│
│if (hPort == (HANDLE)-1)
│    {
│    printf("Open failed :%lx\n",hCommPort);
│    return -1;
│    }

I thought it would succeed. But CreateFile failed!

What may be the reason? A snippet of the CYGWIN code for win driver is as follows:

 RtlInitUnicodeString( &DeviceName, L"\\Device\\mydevice" );
 RtlInitUnicodeString( &SymbolicLinkName, L"\\DosDevices\\mydevice" );
 IoCreateDevice( DriverObject, 0, &DeviceName, ...
 IoCreateSymbolicLink( &SymbolicLinkName, &DeviceName...

Thanks
  Kiran

-----Original Message-----
From: Kiran Bacche 
Sent: Wednesday, August 13, 2003 5:57 PM
To: 'Marcel Telka'
Cc: [email-masked]
Subject: RE: Driver help

From where can I download/see the "ioperm" package ?

Thanks
  Kiran

-----Original Message-----
From: Marcel Telka [mailto:[email-masked]] 
Sent: Wednesday, August 13, 2003 5:58 PM
To: Kiran Bacche
Cc: [email-masked]
Subject: Re: Driver help

On Wed, Aug 13, 2003 at 05:53:16PM +0530, Kiran Bacche wrote:
> Wow that's geat.
> I have an isr.c file (actually a device driver)
> I could successfully compile it to generate a ".o" file.
> But how can I convert it to a ".sys" file in CYGWIN environment.

Please read the ioperm sources...

-- 
+-------------------------------------------+
| Marcel Telka   e-mail:   [email-masked]  |
|                homepage: http://telka.sk/ |
|                jabber:   [email-masked] |
+-------------------------------------------+

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/